<?xml version="1.0" encoding="utf-8" ?>
<doctrine-mapping
        xmlns="http://doctrine-project.org/schemas/orm/doctrine-mapping"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="http://doctrine-project.org/schemas/orm/doctrine-mapping
                            https://raw.github.com/doctrine/doctrine2/master/doctrine-mapping.xsd">

    <entity name="App\Domain\Admin\Model\Duplication" table="admin_duplication">

        <id name="id" column="id" type="uuid"/>

        <field name="type" column="type" length="50"/>
        <field name="dataIds" column="data_ids" type="json_array"/>

        <many-to-one field="sourceCollectivity" target-entity="App\Domain\User\Model\Collectivity"/>
        <many-to-many field="targetCollectivities" target-entity="App\Domain\User\Model\Collectivity">
            <join-table name="admin_duplication_collectivity">
                <join-columns><join-column/></join-columns>
                <inverse-join-columns><join-column/></inverse-join-columns>
            </join-table>
        </many-to-many>

        <!-- Traits -->
        <field name="createdAt" column="created_at" type="datetime_immutable"/>
        <field name="updatedAt" column="updated_at" type="datetime_immutable"/>

    </entity>

</doctrine-mapping>
